Packages - Bug #1032

[ovm{f] FatPkg is now free software
2016-06-12 01:03 AM - GNUtoo

Status: fixed % Done: 100%
Priority: bug

Assignee:

Category:

Description

Some packages such as ovmf (https://www.archlinux.org/packages/extra/any/ovmf/) uses fatpkg.
fatpkg was under a BSD license with some restrictions added on top. The restrictions made it non-free and have now been removed.

See https://rwmj.wordpress.com/2016/03/30/tianocore-uefi-now-has-a-free-fat-driver/ and
https://github.com/jljusten/edk2/blob/fatpkg-open-source-v1/FatPkg/License.txt for more details.

This means that we can probably, by making sure we have the free version of fatpkg, reintroduce such packages in parabola.

Denis.

Related issues:
Related to Packages - Freedom Issue #521: [ovmf] use restriction fixed 2014-05-04

History

#1 - 2016-06-13 05:07 AM - Anonymous

- Assignee set to Anonymous

#2 - 2016-06-24 07:11 PM - Anonymous

Do you know another package that could use fatpkg to begin check it?

#3 - 2016-07-03 02:19 PM - GNUtoo

Fatpkg is part of tianocore, and OVMF is a version of tianocore to be used on virtual machines such as gemu.

Denis.

#4 - 2016-07-03 04:48 PM - Anonymous
- Status changed from open to in progress

- Subject changed from fatpkg is now free software to [ovmf] fatpkg is now free software

#5 - 2017-01-06 09:23 PM - Anonymous
- % Done changed from 0 to 30

- Subject changed from [ovmf] fatpkg is now free software to [ovmf] FatPkg is now free software

#6 - 2017-01-06 10:47 PM - Anonymous

- Related to Freedom Issue #521: [ovm{] use restriction added

#7 - 2017-01-06 10:48 PM - Anonymous
- % Done changed from 30 to 80

- Status changed from in progress to fixed

#8 - 2017-01-06 10:49 PM - Anonymous

- Status changed from fixed to in progress

#9 - 2017-01-06 10:57 PM - Anonymous
- % Done changed from 80 to 100

- Status changed from in progress to fixed
